# Uses of Enum Class
javax.validation.ConstraintTarget

Packages that use ConstraintTarget
Package
Description
javax.validation
javax.validation.metadata

## Uses of ConstraintTarget in javax.validation

Methods in javax.validation that return ConstraintTarget
Modifier and Type
Method
Description
`static ConstraintTarget`
ConstraintTarget.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConstraintTarget[]`
ConstraintTarget.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of ConstraintTarget in javax.validation.metadata

Methods in javax.validation.metadata that return ConstraintTarget
Modifier and Type
Method
Description
`ConstraintTarget`
ConstraintDescriptor.`getValidationAppliesTo()`